A new user interface for you! Read more...

File remote_origin_workaround.patch of Package git-buildpackage

Index: git-buildpackage-0.6.10/gbp/scripts/buildpackage.py
===================================================================
--- git-buildpackage-0.6.10.orig/gbp/scripts/buildpackage.py	2014-03-21 09:55:43.000000000 -0700
+++ git-buildpackage-0.6.10/gbp/scripts/buildpackage.py	2015-05-14 10:34:50.458961975 -0700
@@ -248,7 +248,7 @@
         upstream_tree = repo.version_to_tag(options.upstream_tag,
                                             cp['Upstream-Version'])
     elif options.upstream_tree.upper() == 'BRANCH':
-        if not repo.has_branch(options.upstream_branch):
+        if not repo.has_branch(options.upstream_branch) and not repo.has_branch(options.upstream_branch, remote=True):
             raise GbpError("%s is not a valid branch" % options.upstream_branch)
         upstream_tree = options.upstream_branch
     else: